TechDraw LengthDimension: Difference between revisions

From FreeCAD Documentation
(Created page with "<translate> <!--T:1--> {{GuiCommand|Name=TechDraw Dimension_Length|Workbenches=TechDraw|MenuLocation=TechDraw → Dimension_Length|Shortcut=|SeeAlso=}} =...")
 
No edit summary
Line 26: Line 26:


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
DraftViews can be added to Pages using Python.
Distance dimensions can be added to Pages using Python.
</translate>
</translate>
{{Code|code=
{{Code|code=

Revision as of 12:17, 16 October 2016

TechDraw Dimension_Length

Menu location
TechDraw → Dimension_Length
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension_Length tool adds a linear dimension to a View. The dimension may be between the distance between two vertices, the length of one edge or the distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension 16 tool.

How to use

  1. Select the points or edge which define your measurement.
  2. Press the 16 TechDraw Dimension_Length button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • DataX: Horizontal position of the dimension text relative to the View.
  • DataY: Vertical position of the dimension text relative to the View.
  • DataFont: The name of the font to use for the dimension text.
  • DataFontsize: Dimension text size in mm.
  • DataFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • DataLineWidth: Dimension line weight.
  • DataType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • DataMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Distance dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Distance"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time